# ppmmake

Updated: 02 September 2002
Table Of Contents

## NAME

ppmmake - create a PPM image of a specified color and dimensions

## SYNOPSIS

ppmmake [-maxval=maxval] color width height

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or an equals sign between an option name and its value.

## DESCRIPTION

This program is part of Netpbm.

ppmmake produces a PPM image of the specified color, width, height, and maxval.

Specify the color (color) as described for the argument of the pnm_parsecolor() library routine.

## EXAMPLES

        ppmmake red 50 50

        ppmmake rgb:ff/80/80 50 100 -maxval=5

## OPTIONS

-maxval=maxval
  The maxval for the generated image. Default is 255.

  This option did not exist before June 2002. Before, the maxval was always 255.

## SEE ALSO

pbmmake, pgmmake, ppmpat, ppm

## AUTHOR

Copyright (C) 1991 by Jef Poskanzer.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- EXAMPLES
- OPTIONS
- AUTHOR